Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 08 Feb 2023 07:18:42 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Good afternoon.  I seem to be facing the same problem I always face.  One of my orders does not appear as “delivered” so I am unable to return any items.  This is order number 9409228919.  I have been waiting for it to update, because it is much easier for me to return through the application.  It takes a lot of time for me to list out all the items by email to make the return.  Can you please assist me? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5634465